module Rufbit
    # 400 Bad Request
    class InvalidRequestError < StandardError
        attr_reader :object

        def initialize(object)
            @object = object
        end
    end

    # 401 Unauthorized
    class AuthenticationError < StandardError
        attr_reader :object

        def initialize(object)
            @object = object
        end
    end

    # 500 Internal Server Error
    class RufbitError < StandardError
        attr_reader :object

        def initialize(object)
            @object = object
        end
    end
end